%button--base {
  padding: 5px 0;
  border-radius: $border-radius--default;
  border: none;
  transition: all 0.3s;
  height: 45px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  &:hover {
    box-shadow: $shadow--default;
  }
  &:focus {
    outline: none;
  }
}

.button--outline-gray {
  @extend %button--base;
  background-color: transparent;
  border: 1px solid $color--dark-gray;
}

.button--outline-primary {
  @extend %button--base;
  background-color: transparent;
  border: 1px solid $color--primary;
  color: $color--primary;
}

.button--dark {
  @extend %button--base;
  background-color: $color--dark-gray;
  color: white;
}
.button--primary {
  @extend %button--base;
  background-color: $color--primary;
  color: white;
}

.button--disabled {
  cursor: not-allowed;
  &:focus {
    outline: none;
  }
}

.button--transparent {
  border: none;
  background-color: transparent;
  cursor: pointer;
  &:focus {
    outline: none;
  }
}

.icon {
  margin-top: 0.3rem;
}
